/*
Emma Pareschi October 2018
I count the times the push button is pressed and I reset the count
 */

// this constant won't change:
int sw_pin = 2;    // the pin that the pushbutton is attached to
int counter_reset = 10; //variable to reset the counter

// Variables will change:
int counter = 0;   // counter for the number of button presses
int sw_status = 0;         // current state of the button
int last_sw_status = 1;     // previous state of the button

void setup() {
  pinMode(sw_pin, INPUT_PULLUP);    // initialize the button pin as a input
  Serial.begin(9600);     // initialize serial communication
}

void loop() {
  
  // read the pushbutton input pin:
  sw_status = digitalRead(sw_pin);
  

  // compare the switch status to its previous state
  if (sw_status != last_sw_status) {  //if the status of the Led is different from the last time
    
    if(sw_status == HIGH){        //if the status is HIGH, the switch was relaised
      counter = counter + 1;    //increase the counter of 1 unit
    }
    
    // Delay a little bit to avoid bouncing
    delay(50);
  }

  Serial.print("Counter: ");    //print on Serial monitor the counter value
  Serial.println(counter);

  last_sw_status = sw_status;   //set the last status

  if (counter == counter_reset){ // if the counter is equal to the counter reset
    counter = 0;    // set the counter to zero again
    }

}
