/*
Emma Pareschi 2020
I count the times the push button is pressed
 */

// this constant won't change:
int  sw_pin = 2;    // the pin that the pushbutton is attached to
int counter_reset = 2; //variable to reset the counter

int led_pin = 3; //pin of the led

// Variables will change:
int counter = 0;   // counter for the number of button presses
int sw_status = 0;         // current state of the button
int last_sw_status = 1;     // previous state of the button

void setup() {
  // initialize input and output pins:
  pinMode(sw_pin, INPUT_PULLUP);
  pinMode(led_pin, OUTPUT);
    
  // initialize serial communication:
  Serial.begin(9600);
}

void loop() {
  
  // read the pushbutton input pin:
  sw_status = digitalRead(sw_pin);

  // compare the switch status to its previous state
  if (sw_status != last_sw_status) {   
    if(sw_status == HIGH){     //if the status is HIGH, the switch was relaised
      counter = counter + 1;   //increase the counter of 1 unit
    }   
    // Delay a little bit to avoid bouncing
    delay(50);
  }

  Serial.print("Counter: ");  //print on Serial monitor the counter value
  Serial.println(counter);

  last_sw_status = sw_status;   //set the last status

  if (counter == counter_reset){
    counter = 0;
    }

  if (counter == 0){             //if the counter is ZERO
    digitalWrite(led_pin, LOW);  //Led if off
  } else {                        //otherwise (if it is 1)
    digitalWrite(led_pin, HIGH);
   }
}









