/*
Emma Pareschi 2020
I turn on the Leds based on the times I press the digital switch
 */

// this constant won't change:
int  sw_pin = 2;    // the pin that the pushbutton is attached to
int counter_reset = 4; //variable to reset the counter

int array_led[] = {3,5,6};  //array of led
int num_leds = 3;

// Variables will change:
int counter = 0;   // counter for the number of button presses
int sw_status = 0;         // current state of the button
int last_sw_status = 1;     // previous state of the button

void setup() {
  // initialize input and output pins:
  pinMode(sw_pin, INPUT_PULLUP);

  //set the array pins as output
  for(int i = 0; i < 4; i = i+1){
    pinMode(array_led[i], OUTPUT);
  }
    
  // initialize serial communication:
  Serial.begin(9600);
}

void loop() {
  
  // read the pushbutton input pin:
  sw_status = digitalRead(sw_pin);

  // compare the switch status to its previous state
  if (sw_status != last_sw_status) {   
    if(sw_status == HIGH){     //if the status is HIGH, the switch was relaised
      counter = counter + 1;   //increase the counter of 1 unit
    }   
    // Delay a little bit to avoid bouncing
    delay(50);
  }

  Serial.print("Counter: ");  //print on Serial monitor the counter value
  Serial.println(counter);

  last_sw_status = sw_status;   //set the last status

  //if the switch as been pressed
  //turn on the Leds based on the counter
  if(counter != 0){
    
    for(int i = 0; i < counter; i = i+1){
      digitalWrite(array_led[i], HIGH);
    } 

    for(int i = counter+1; i < num_leds+1; i = i+1){
      digitalWrite(array_led[i], LOW);
    }
    
  } else {
    for(int i = 0; i < num_leds+1; i = i+1){
      digitalWrite(array_led[i], LOW);
    }
  }

  //reset the counter
  if (counter == counter_reset){
    counter = 0;
  }
}
